Get Recipient Account Fields

The GET /recipient-account-fields endpoint retrieves the required and optional fields necessary for creating or updating a recipient account record.

Implementation Guide:

  • This endpoint must be called before the POST /recipients/{recipientId}/accounts endpoint to ensure that all necessary data is collected for creating a recipient account record.
  • The fields returned by this endpoint are dynamic and may change based on the recipient type, destination country, destination currency, and transfer method. It is recommended not to cache the response and always fetch the latest field requirements.
  • Use the response from this endpoint to dynamically collect the necessary information from users. Ensure that all required fields are included in the data collection process. For more information, see Dynamic fields.
Query Params
string
required
length between 3 and 3

The ISO 3166-1 alpha-3 code of the destination country. See country codes. Example- MEX

string
required
length between 3 and 3

The ISO 4217 code of the currency of the amount you would like to receive money. A string of exactly 3 uppercase alphabetical characters. See currency codes. Example: MXN

string
enum
required
Defaults to BANK_ACCOUNT

The method used for transferring money. Example: Bank Account, Cash Pickup, Push to Card. See Transfer Method.

Allowed:
string
enum
required
Defaults to PERSON

Defines the type of recipient receiving the transfer. This determines the required fields and compliance checks. Possible values include: PERSON (An individual receiving funds) and BUSINESS: (A company or organization receiving the transfer). Refer to the Recipient Type for the full list of supported values.

Allowed:
Responses

Language
Credentials
Bearer
JWT
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json